API ReferenceTool Router

List files in a session mount

Markdown
GET
/api/v3/tool_router/session/{session_id}/mounts/{mount_id}/items

Lists files in a workbench session storage mount with cursor-based pagination. Use the download_url endpoint with the returned mount_relative_path to get a presigned download URL.

x-api-key<token>

Project API key authentication

In: header

Path Parameters

session_idstring

The unique identifier of the tool router session

Format: toolRouterSessionId
mount_idstring

ID of the storage mount

Query Parameters

cursorstring

Pagination cursor from the previous response next_cursor field

limitnumber

Maximum number of files to return per page (1-500)

Default: 100
mount_relative_prefixstring

Relative path prefix within the mount for filtering

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://backend.composio.dev/api/v3/tool_router/session/trs_123456789/mounts/files/items"
{
  "items": [
    {
      "mount_relative_path": "string",
      "sandbox_mount_prefix": "string",
      "size": 0,
      "last_modified": "string"
    }
  ],
  "next_cursor": "string"
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}